Get a Task
curl --request GET \
--url https://api.virtuoussoftware.com/api/Task/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Task/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Task/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Task/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Task/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Task/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Task/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Task/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5,
"taskType": "General",
"task": "Call Jane about the spring gala",
"description": "Confirm her table sponsorship.",
"dueDateTime": "2026-10-20T15:00:00",
"dueDateTimeUtc": "2026-10-20T22:00:00",
"taskStatus": "InProgress",
"taskStatusDisplayName": "In Progress",
"resolutionDateTimeUtc": null,
"isResolved": false,
"isPastDue": false,
"contactId": 10,
"contact": "Jane Smith",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/10",
"createDateTimeUtc": "2026-10-13T16:35:16.907",
"modifiedDateTimeUtc": "2026-10-14T09:12:40.113",
"createdByUser": "Development Team",
"createdByAvatarUrl": null,
"modifiedByUser": "Development Team"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Tasks
Get a Task
Returns a task by its identifier, including its status, due date, and whether it is resolved or past due. You can get any task you could also find with the Query Tasks endpoint: administrators can get any task in the organization, and other users can get only the tasks they created or own. When you can’t view the task’s contact, the task is still returned with contactId, contact, and contactUrl set to null.
GET
/
api
/
Task
/
{id}
Get a Task
curl --request GET \
--url https://api.virtuoussoftware.com/api/Task/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Task/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Task/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Task/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Task/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Task/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Task/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Task/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5,
"taskType": "General",
"task": "Call Jane about the spring gala",
"description": "Confirm her table sponsorship.",
"dueDateTime": "2026-10-20T15:00:00",
"dueDateTimeUtc": "2026-10-20T22:00:00",
"taskStatus": "InProgress",
"taskStatusDisplayName": "In Progress",
"resolutionDateTimeUtc": null,
"isResolved": false,
"isPastDue": false,
"contactId": 10,
"contact": "Jane Smith",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/10",
"createDateTimeUtc": "2026-10-13T16:35:16.907",
"modifiedDateTimeUtc": "2026-10-14T09:12:40.113",
"createdByUser": "Development Team",
"createdByAvatarUrl": null,
"modifiedByUser": "Development Team"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on November 3, 2026
Was this page helpful?